extends layout

block content
    .dashboard-main-wrapper(style='width: 100%')
        .dashboard-header
            include navbar
        include sidebar
        .dashboard-wrapper(style='min-height:calc(100vh - 110px) !important')
            .dashboard-ecommerce
                .container-fluid.dashboard-content
                    // ==============================================================
                    // pageheader
                    // ==============================================================
                    .row
                        .col-xl-12.col-lg-12.col-md-12.col-sm-12.col-12
                            .page-header
                                h2.pageheader-title Monitoring dashboard
                    .row
                        .col-sm-4
                            .card
                                .card-body
                                    h3.card-title Status
                                    hr
                                    p.card-text
                                        span(style='color: darkgoldenrod; font-size: large')= statut.monitoring
                                        |  Monitored
                                    p.card-text
                                        span(style='color: green; font-size: large')= statut.healthy
                                        |  Healthy
                                    p.card-text
                                        span(style='color: red; font-size: large')= statut.warning
                                        |  Errors
                        .col-sm-8
                            .card
                                .card-body
                                    h3.card-title Warnings &amp; Errors
                                    hr
                                    p.card-text
                                        table.table.table-borderless
                                            thead
                                                tr
                                                    th(scope='col') Server name
                                                    th(scope='col') Ping
                                            tbody
                                                each server in servers
                                                    if server.health === "red"
                                                        tr
                                                            th= server.hostname
                                                            td
                                                                i.fas.fa-circle#ping(style='color:' + server.health + ';')
                    h3 Overview
                    .row
                        .col-xl-12.col-lg-12.col-md-12.col-sm-12.col-12
                            .card
                                h5.card-header Servers
                                .card-body.p-0
                                    .table-responsive
                                        table.table
                                            thead.bg-light
                                                tr.border-0
                                                    th.border-0 Name
                                                    th.border-0 Status
                                                    th.border-0 Ip Address
                                                    th.border-0 Action
                                            tbody
                                                each server in servers
                                                    tr
                                                        td= server.hostname
                                                        td
                                                            i.fas.fa-circle#ping(style='color:' + server.health + ';')
                                                        td= server.ipAddress
                                                        td
                                                            a.btn.btn-outline-primary(href='/servers/' + server.hostname) View More
        .footer
            .container-fluid
                .row
                    .col-xl-6.col-lg-6.col-md-6.col-sm-12.col-12
                        | Copyright &copy; 2019 Monitording.
                    .col-xl-6.col-lg-6.col-md-6.col-sm-12.col-12
                        .text-md-right.footer-links.d-none.d-sm-block
                            a(href='javascript: void(0);') About
                            a(href='javascript: void(0);') Support
                            a(href='javascript: void(0);') Contact Us
    script(src='assets/vendor/jquery/jquery-3.3.1.min.js')
    script(src='assets/vendor/bootstrap/js/bootstrap.bundle.js')
    script(src='assets/vendor/slimscroll/jquery.slimscroll.js')
    script(src='assets/libs/js/main-js.js')
    script(src='assets/vendor/charts/chartist-bundle/chartist.min.js')
    script(src='assets/vendor/charts/sparkline/jquery.sparkline.js')
    script(src='assets/vendor/charts/morris-bundle/raphael.min.js')
    script(src='assets/vendor/charts/morris-bundle/morris.js')
    script(src='assets/vendor/charts/c3charts/c3.min.js')
    script(src='assets/vendor/charts/c3charts/d3-5.4.0.min.js')
    script(src='assets/vendor/charts/c3charts/C3chartjs.js')
    script(src='assets/libs/js/dashboard-ecommerce.js')
